/*
Theme Name: Siamchai Car Equipment
Theme URI: https://freshdigital.co.th/web-design/
Template: hello-elementor
Author: Fresh Digital
Author URI: https://freshdigital.co.th/
Description: Theme for Siamchai Car Equipment
Version: 1.0.0
Updated: 2025-06-11 09:16:39

*/
html,
body {
    overflow-x: hidden;
}

#head-sticky,
#head-sticky > div  {
    transition: all 0.3s ease-out;
}

#head-sticky.head-sticky-active {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    box-shadow: 0px 4px 11px 0px rgba(0, 0, 0, 0.24);
}

#head-sticky.head-sticky-active > div {
    padding: 0 !important;
}

#head-sticky .site-logo img {
    transition: all 0.2s ease;
}

#head-sticky.head-sticky-active .site-logo img {
    max-width: 150px !important;
}

a.contact-detail {
    display: inline-block;
    color: inherit;
}

.marquee-track .elementor-nav-menu {
    display: flex;
    flex-wrap: nowrap !important;
    gap: 1rem;
    animation: marquee 22s linear infinite;
    width: max-content;
}

.marquee-track .elementor-nav-menu .menu-item {
    font-size: 1.05rem;
    white-space: nowrap;
    display: flex;
    align-items: center;
    gap: 0;
}

@keyframes marquee {
    from {
        transform: translateX(0)
    }

    to {
        transform: translateX(-50%)
    }
}
